> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax rate

> Get a single tax rate by ID.



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /tax/business_entities/{business_entity_id}/rates/{rate_id}
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /tax/business_entities/{business_entity_id}/rates/{rate_id}:
    get:
      tags:
        - Tax
      summary: Get tax rate
      description: Get a single tax rate by ID.
      operationId: Get-tax-rate
      parameters:
        - name: business_entity_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Business Entity Id
        - name: rate_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Rate Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxRateResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TaxRateResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        jurisdiction_rate_id:
          type: string
          format: uuid
          title: Jurisdiction Rate Id
        tax_name:
          type: string
          title: Tax Name
        rate_percent:
          type: number
          title: Rate Percent
        is_compound:
          type: boolean
          title: Is Compound
        compound_order:
          type: integer
          title: Compound Order
        jurisdiction_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Jurisdiction Level
        jurisdiction_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Jurisdiction Code
      type: object
      required:
        - id
        - jurisdiction_rate_id
        - tax_name
        - rate_percent
        - is_compound
        - compound_order
        - jurisdiction_level
        - jurisdiction_code
      title: TaxRateResponseSchema
      description: Response shape for a tax rate row.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````